package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundInfoPersonnelInfo;
import com.tanpu.fund.entity.generator.FundInfoPersonnelInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundInfoPersonnelInfoMapper {
    long countByExample(FundInfoPersonnelInfoExample example);

    int deleteByExample(FundInfoPersonnelInfoExample example);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundInfoPersonnelInfo record);

    int insertOrUpdate(FundInfoPersonnelInfo record);

    int insertOrUpdateSelective(FundInfoPersonnelInfo record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundInfoPersonnelInfo record);

    List<FundInfoPersonnelInfo> selectByExample(FundInfoPersonnelInfoExample example);

    int updateByExampleSelective(@Param("record") FundInfoPersonnelInfo record, @Param("example") FundInfoPersonnelInfoExample example);

    int updateByExample(@Param("record") FundInfoPersonnelInfo record, @Param("example") FundInfoPersonnelInfoExample example);

    int batchInsert(@Param("list") List<FundInfoPersonnelInfo> list);
}